@font-face {
  font-family: "Maven Pro";
  src: url(../fonts/Maven-pro.ttf) format("truetype");
}

/*
 * Base structure
 */

html,
body {
  height: 100vh;
  background-color: #2d4059 !important;
  font-family: "Maven Pro", sans-serif;
}
body {
  color: #fff;
  text-align: center;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}

main {
  min-height: calc(100vh - 240px);
  padding: 20px 0;
}

footer {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
  min-height: 80px;
  padding: 20px 5px;
}
header {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
  height: 80px;
}

.main-wrapper {
  height: 100vh;
}

/*form styles*/
#msform {
  text-align: center;
  position: relative;
  margin-top: 30px;
}

#msform fieldset {
  background: #292a29;
  border: 0 none;
  border-radius: 8px;
  box-shadow: 0 0 15px 1px rgba(255, 255, 255, 0.4);
  padding: 20px 30px;
  box-sizing: border-box;
  width: 80%;
  margin: 0 10%;
  color: #fff;

  /*stacking fieldsets above each other*/
  position: relative;
}

/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
  display: none;
}

/*inputs*/
#msform input,
#msform textarea {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-bottom: 10px;
  width: 100%;
  box-sizing: border-box;
  color: #f7a517;
  font-size: 15px;
  font-weight: 600;
  line-height: 1.5;
  background: none;
}

#msform input:focus,
#msform textarea:focus {
  -moz-box-shadow: none !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border: 1px solid #f7a517;
  outline-width: 0;
  transition: All 0.5s ease-in;
  -webkit-transition: All 0.5s ease-in;
  -moz-transition: All 0.5s ease-in;
  -o-transition: All 0.5s ease-in;
}

/*buttons*/
#msform .action-button {
  width: 100px;
  background: #19a25b;
  font-weight: bold;
  color: white;
  border: 0 none;
  border-radius: 25px;
  cursor: pointer;
  padding: 10px 5px;
  margin: 10px 5px;
}

#msform .action-button:hover,
#msform .action-button:focus {
  box-shadow: 0 0 0 1px white, 0 0 0 3px #cd4646;
}

#msform .action-button-previous {
  width: 100px;
  background: #acbed0;
  font-weight: bold;
  color: white;
  border: 0 none;
  border-radius: 25px;
  cursor: pointer;
  padding: 10px 5px;
  margin: 10px 5px;
}

#msform .action-button-previous:hover,
#msform .action-button-previous:focus {
  box-shadow: 0 0 0 2px white, 0 0 0 3px #acbed0;
}

/*headings*/
.fs-title {
  font-size: 18px;
  text-transform: uppercase;
  color: #f7a517;
  margin-bottom: 10px;
  letter-spacing: 2px;
  font-weight: bold;
}

.fs-subtitle {
  font-weight: normal;
  font-size: 13px;
  color: #f7a517;
  margin-bottom: 20px;
  margin-top: 0;
}

/*progressbar*/
#progressbar {
  margin-bottom: 30px;
  overflow: hidden;
  position: sticky;

  /*CSS counters to number the steps*/
  counter-reset: step;
}

#progressbar li {
  list-style-type: none;
  color: #bdbcbc;
  text-transform: uppercase;
  font-size: 12px;
  width: 25%;
  float: left;
  position: relative;
  letter-spacing: 1px;
  font-weight: 500;
}

#progressbar li:before {
  content: counter(step);
  counter-increment: step;
  width: 24px;
  height: 24px;
  line-height: 26px;
  display: block;
  font-size: 12px;
  color: #333;
  background: white;
  border-radius: 25px;
  margin: 0 auto 10px auto;
}

/*progressbar connectors*/
#progressbar li:after {
  content: "";
  width: 100%;
  height: 2px;
  background: white;
  position: absolute;
  left: -50%;
  top: 9px;
  z-index: -1; /*put it behind the numbers*/
}

#progressbar li:first-child:after {
  /*connector not needed before the first step*/
  content: none;
}

/*marking active/completed steps blue*/
/*The number of the step and the connector before it = blue*/
#progressbar li.active:before,
#progressbar li.active:after {
  background: #19a25b;
  color: white;
}

.feedback-container {
  /* background-color: #f7a517; */
  max-width: 300px;
  height: 150px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  border-radius: 15px;
  position: relative;
  border: 1px solid #f7a517;
  color: #fff;
  margin: 5px;
}

.feedback-container h5 {
  text-transform: uppercase;
  color: #f7a517;
}

.emoji-container {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 30%;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  display: flex;
  overflow: hidden;
}

.far {
  margin: 1px;
  transform: translateX(0);
  transition: 0.2s;
  color: transparent;
}

.rating-container {
  position: absolute;
  left: 20%;
  /* transform: translateX(-50%); */
  bottom: 10%;
}

.fa-star {
  color: lightgray;
  cursor: pointer;
}

.fa-star.active {
  color: gold;
}

/* Over all Page */
#msform input[type="range"] {
  padding: 0 !important;
}

input[type="range"] {
  position: absolute;
  /* top: 85%; */
  -webkit-appearance: none;
  appearance: none;
  /* width: 80%; */
  background: #e5e5e5;
  height: 2px;
  border-radius: 5px;
  outline: none;
  box-shadow: #f2d2bd;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  padding: 5px;
  height: 5px;
  width: 5px;
  border: 5px solid #fff;
  border-radius: 50%;
  cursor: pointer;
  background: #4c4c4c;
}

/* FIREFOX */
input[type="range"]::-moz-range-thumb {
  padding: 5px;
  height: 5px;
  width: 5px;
  border: 5px solid #fff;
  border-radius: 50%;
  cursor: pointer;
  background: #4c4c4c;
}

.rating {
  position: absolute;
  top: 75%;
  text-align: center;
  font-size: 20px;
  font-weight: 100;
  width: 90%;
}

@keyframes dance {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
}

@keyframes confetti-slow {
  0% {
    transform: translate3d(0, 0, 0) rotateX(0) rotateY(0);
  }

  100% {
    transform: translate3d(25px, 105vh, 0) rotateX(360deg) rotateY(180deg);
  }
}

@keyframes confetti-medium {
  0% {
    transform: translate3d(0, 0, 0) rotateX(0) rotateY(0);
  }

  100% {
    transform: translate3d(100px, 105vh, 0) rotateX(100deg) rotateY(360deg);
  }
}

@keyframes confetti-fast {
  0% {
    transform: translate3d(0, 0, 0) rotateX(0) rotateY(0);
  }

  100% {
    transform: translate3d(-50px, 105vh, 0) rotateX(10deg) rotateY(250deg);
  }
}

/* .container {
  width: 100vw;
  height: 100vh;
  background: #ffffff;
  border: 1px solid white;
  display: fixed;
  top: 0px;
} */

.confetti-container {
  perspective: 700px;
  position: absolute;
  overflow: hidden;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.confetti {
  position: absolute;
  z-index: 1;
  top: -10px;
  border-radius: 0%;

  &--animation-slow {
    animation: confetti-slow 2.25s linear 1 forwards;
  }

  &--animation-medium {
    animation: confetti-medium 1.75s linear 1 forwards;
  }

  &--animation-fast {
    animation: confetti-fast 1.25s linear 1 forwards;
  }
}

/* Checkmark */
.checkmark-circle {
  width: 150px;
  height: 150px;
  position: relative;
  display: inline-block;
  vertical-align: top;
  margin-left: auto;
  margin-right: auto;
}
.checkmark-circle .background {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background: #00c09d;
  position: absolute;
}
.checkmark-circle .checkmark {
  border-radius: 5px;
}
.checkmark-circle .checkmark.draw:after {
  -webkit-animation-delay: 100ms;
  -moz-animation-delay: 100ms;
  animation-delay: 100ms;
  -webkit-animation-duration: 3s;
  -moz-animation-duration: 3s;
  animation-duration: 3s;
  -webkit-animation-timing-function: ease;
  -moz-animation-timing-function: ease;
  animation-timing-function: ease;
  -webkit-animation-name: checkmark;
  -moz-animation-name: checkmark;
  animation-name: checkmark;
  -webkit-transform: scaleX(-1) rotate(135deg);
  -moz-transform: scaleX(-1) rotate(135deg);
  -ms-transform: scaleX(-1) rotate(135deg);
  -o-transform: scaleX(-1) rotate(135deg);
  transform: scaleX(-1) rotate(135deg);
  -webkit-animation-fill-mode: forwards;
  -moz-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}
.checkmark-circle .checkmark:after {
  opacity: 1;
  height: 75px;
  width: 37.5px;
  -webkit-transform-origin: left top;
  -moz-transform-origin: left top;
  -ms-transform-origin: left top;
  -o-transform-origin: left top;
  transform-origin: left top;
  border-right: 15px solid white;
  border-top: 15px solid white;
  border-radius: 2.5px !important;
  content: "";
  left: 25px;
  top: 75px;
  position: absolute;
}

@-webkit-keyframes checkmark {
  0% {
    height: 0;
    width: 0;
    opacity: 1;
  }
  20% {
    height: 0;
    width: 37.5px;
    opacity: 1;
  }
  40% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
  100% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
}
@-moz-keyframes checkmark {
  0% {
    height: 0;
    width: 0;
    opacity: 1;
  }
  20% {
    height: 0;
    width: 37.5px;
    opacity: 1;
  }
  40% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
  100% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
}
@keyframes checkmark {
  0% {
    height: 0;
    width: 0;
    opacity: 1;
  }
  20% {
    height: 0;
    width: 37.5px;
    opacity: 1;
  }
  40% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
  100% {
    height: 75px;
    width: 37.5px;
    opacity: 1;
  }
}
